* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "alarm clock";
    font-style: normal;
}

*::-moz-selection {
    background-color: transparent;
}

*::selection {
    background-color: transparent;
}

@font-face {
    font-family: "alarm clock";
    src: url("./alarm clock.ttf");
}

.link {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
    color: var(--c);
    text-decoration: none;
    padding: 5px;
    display: flex;
    position: fixed;
    top: 0%;
    left: 0%;
    opacity: 0.5;
}

.link:hover {
    opacity: 1;
}

body {
    width: 100%;
    height: 100vh;
    background-color: #222;
    overflow: hidden;
    position: relative;
}

:root {
    --c: aquamarine;
}

.main {
    width: 560px;
    height: 560px;
    border-radius: 50%;
    padding: 10px;
    color: var(--c);
    position: fixed;
    left: 50%;
    bottom: 50%;
    transform: translate(-50%, 50%) scale(1.5);
}

.main .line {
    width: 20px;
    height: 190px;
    background-color: var(--c);
    position: absolute;
    top: 20%;
    left: calc(50% - 10px);
    /* -webkit-clip-path: polygon(45% 0%, 55% 0%, 100% 80%, 50% 100%, 0% 80%); */
    clip-path: polygon(45% 0%, 55% 0%, 100% 80%, 50% 100%, 0% 80%);
    z-index: 300;
}

.main .h {
    width: 400px;
    height: 400px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #222;
    box-shadow: 0px 0px 7px var(--c);
    z-index: 200;
    transition: transform 1s ease;
    overflow: hidden;
}

.main .h>div {
    position: absolute;
    height: 50%;
    top: 0%;
    left: 50%;
    transform: translateX(-50%) rotateZ(calc(15deg * var(--h)));
    transform-origin: 50% 100%;
    padding-top: 10px;
    font-size: 16px;
    transition: all 1s ease;
    filter: blur(1px);
}

.main .m {
    width: 480px;
    height: 480px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #222;
    box-shadow: 0px 0px 7px var(--c);
    z-index: 100;
    transition: transform 1s ease;
    overflow: hidden;
}

.main .m>div {
    position: absolute;
    padding-top: 10px;
    height: 50%;
    top: 0%;
    left: 50%;
    transform: translateX(-50%) rotateZ(calc(6deg * var(--m)));
    transform-origin: 50% 100%;
    font-size: 12px;
    transition: all 1s ease;
    filter: blur(1px);
}

.main .s {
    width: 560px;
    height: 560px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #222;
    box-shadow: 0px 0px 7px var(--c);
    z-index: 0;
    transition: transform 1s ease;
    overflow: hidden;
}

.main .s>div {
    padding-top: 10px;
    position: absolute;
    height: 50%;
    top: 0%;
    left: 50%;
    transform: translateX(-50%) rotateZ(calc(6deg * var(--s)));
    transform-origin: 50% 100%;
    transition: all 1s ease;
    font-size: 12px;
    filter: blur(1px);
}